## ibuskeys ibuskeys |

## Functions

const gchar * | ibus_keyval_name ()
guint | ibus_keyval_from_name ()
guint | ibus_unicode_to_keyval ()
gunichar | ibus_keyval_to_unicode ()

## Description

## Functions

### ibus_keyval_name ()

    const gchar *
    ibus_keyval_name (guint keyval);

Return the name of a key symbol.

Note that the returned string is used internally, so don't free it.

#### Parameters

keyval | Key symbol. |

#### Returns

Corresponding key name. `NULL` if no such key symbol.

### ibus_keyval_from_name ()

    guint
    ibus_keyval_from_name (const gchar *keyval_name);

Return the key symbol that associate with the key name.

#### Parameters

keyval_name | Key name in gdk_keys_by_name. |

#### Returns

Corresponding key symbol.

### ibus_unicode_to_keyval ()

    guint
    ibus_unicode_to_keyval (gunichar wc);

Convert from a ISO10646 character to a key symbol.

#### Parameters

wc | a ISO10646 encoded character |

#### Returns

the corresponding IBus key symbol, if one exists. or, if there is no corresponding symbol, wc | 0x01000000

### ibus_keyval_to_unicode ()

    gunichar
    ibus_keyval_to_unicode (guint keyval);

Convert from an IBus key symbol to the corresponding ISO10646 (Unicode) character.

#### Parameters

keyval | an IBus key symbol |

#### Returns

the corresponding unicode character, or 0 if there is no corresponding character.

## Types and Values